import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';
import 'package:graphql_flutter/graphql_flutter.dart';
import 'package:injectable/injectable.dart';
import 'package:krow/app.dart';
import 'package:flutter_dotenv/flutter_dotenv.dart';
import 'core/application/di/injectable.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await dotenv.load(fileName: '.env');

  await Firebase.initializeApp();
  await initHiveForFlutter();

  configureDependencies(Environment.prod);

  runApp(const KrowApp());
}
